import styled from "@emotion/styled";
import elevation from "../elevation";

interface BoxProps {
  /** Defines how elevated off the page the box should appear.*/
  height?: number;
}

export default styled.div<BoxProps>({ borderRadius: 4 }, ({ height = 0 }) => {
  if (!elevation) {
    return {};
  }
  return {
    boxShadow: elevation(height)
  };
});
