const path = require("path");

module.exports = {
  getComponentPathLine(componentPath) {
    return `import { ${path
      .basename(componentPath)
      .replace(/.tsx?/, "")} } from 'imprest';`;
  },
  propsParser: require("react-docgen-typescript").withCustomConfig(
    "./tsconfig.json"
    // [parserOptions]
  ).parse,
  webpackConfig: {
    module: {
      rules: [
        // Babel loader, will use your project’s babel.config.js
        {
          test: /\.tsx?$/,
          exclude: /node_modules/,
          loader: "babel-loader"
        }
      ]
    },
    resolve: {
      extensions: [".ts", ".tsx", ".js"]
    }
  }
};
